users

package
v4.0.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jul 24, 2025 License: Apache-2.0 Imports: 12 Imported by: 0

Documentation

Index

Constants

View Source
const GetContactsForUserNotFoundCode int = 404

GetContactsForUserNotFoundCode is the HTTP code returned for type GetContactsForUserNotFound

View Source
const GetContactsForUserOKCode int = 200

GetContactsForUserOKCode is the HTTP code returned for type GetContactsForUserOK

View Source
const GetDistrictForUserNotFoundCode int = 404

GetDistrictForUserNotFoundCode is the HTTP code returned for type GetDistrictForUserNotFound

View Source
const GetDistrictForUserOKCode int = 200

GetDistrictForUserOKCode is the HTTP code returned for type GetDistrictForUserOK

View Source
const GetResourcesForUserNotFoundCode int = 404

GetResourcesForUserNotFoundCode is the HTTP code returned for type GetResourcesForUserNotFound

View Source
const GetResourcesForUserOKCode int = 200

GetResourcesForUserOKCode is the HTTP code returned for type GetResourcesForUserOK

View Source
const GetSchoolsForUserNotFoundCode int = 404

GetSchoolsForUserNotFoundCode is the HTTP code returned for type GetSchoolsForUserNotFound

View Source
const GetSchoolsForUserOKCode int = 200

GetSchoolsForUserOKCode is the HTTP code returned for type GetSchoolsForUserOK

View Source
const GetSectionsForUserNotFoundCode int = 404

GetSectionsForUserNotFoundCode is the HTTP code returned for type GetSectionsForUserNotFound

View Source
const GetSectionsForUserOKCode int = 200

GetSectionsForUserOKCode is the HTTP code returned for type GetSectionsForUserOK

View Source
const GetStudentsForUserNotFoundCode int = 404

GetStudentsForUserNotFoundCode is the HTTP code returned for type GetStudentsForUserNotFound

View Source
const GetStudentsForUserOKCode int = 200

GetStudentsForUserOKCode is the HTTP code returned for type GetStudentsForUserOK

View Source
const GetTeachersForUserNotFoundCode int = 404

GetTeachersForUserNotFoundCode is the HTTP code returned for type GetTeachersForUserNotFound

View Source
const GetTeachersForUserOKCode int = 200

GetTeachersForUserOKCode is the HTTP code returned for type GetTeachersForUserOK

View Source
const GetUserNotFoundCode int = 404

GetUserNotFoundCode is the HTTP code returned for type GetUserNotFound

View Source
const GetUserOKCode int = 200

GetUserOKCode is the HTTP code returned for type GetUserOK

View Source
const GetUsersOKCode int = 200

GetUsersOKCode is the HTTP code returned for type GetUsersOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetContactsForUser

type GetContactsForUser struct {
	Context *middleware.Context
	Handler GetContactsForUserHandler
}
GetContactsForUser swagger:route GET /users/{id}/mycontacts Users getContactsForUser

Returns the contact users for a student user

func NewGetContactsForUser

func NewGetContactsForUser(ctx *middleware.Context, handler GetContactsForUserHandler) *GetContactsForUser

NewGetContactsForUser creates a new http.Handler for the get contacts for user operation

func (*GetContactsForUser) ServeHTTP

func (o *GetContactsForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetContactsForUserHandler

type GetContactsForUserHandler interface {
	Handle(GetContactsForUserParams, interface{}) middleware.Responder
}

GetContactsForUserHandler interface for that can handle valid get contacts for user params

type GetContactsForUserHandlerFunc

type GetContactsForUserHandlerFunc func(GetContactsForUserParams, interface{}) middleware.Responder

GetContactsForUserHandlerFunc turns a function with the right signature into a get contacts for user handler

func (GetContactsForUserHandlerFunc) Handle

func (fn GetContactsForUserHandlerFunc) Handle(params GetContactsForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetContactsForUserNotFound

type GetContactsForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetContactsForUserNotFound Entity Not Found

swagger:response getContactsForUserNotFound

func NewGetContactsForUserNotFound

func NewGetContactsForUserNotFound() *GetContactsForUserNotFound

NewGetContactsForUserNotFound creates GetContactsForUserNotFound with default headers values

func (*GetContactsForUserNotFound) SetPayload

func (o *GetContactsForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get contacts for user not found response

func (*GetContactsForUserNotFound) WithPayload

WithPayload adds the payload to the get contacts for user not found response

func (*GetContactsForUserNotFound) WriteResponse

func (o *GetContactsForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetContactsForUserOK

type GetContactsForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.UsersResponse `json:"body,omitempty"`
}

GetContactsForUserOK OK Response

swagger:response getContactsForUserOK

func NewGetContactsForUserOK

func NewGetContactsForUserOK() *GetContactsForUserOK

NewGetContactsForUserOK creates GetContactsForUserOK with default headers values

func (*GetContactsForUserOK) SetPayload

func (o *GetContactsForUserOK) SetPayload(payload *models.UsersResponse)

SetPayload sets the payload to the get contacts for user o k response

func (*GetContactsForUserOK) WithPayload

WithPayload adds the payload to the get contacts for user o k response

func (*GetContactsForUserOK) WriteResponse

func (o *GetContactsForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetContactsForUserParams

type GetContactsForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetContactsForUserParams contains all the bound params for the get contacts for user operation typically these are obtained from a http.Request

swagger:parameters getContactsForUser

func NewGetContactsForUserParams

func NewGetContactsForUserParams() GetContactsForUserParams

NewGetContactsForUserParams creates a new GetContactsForUserParams object

There are no default values defined in the spec.

func (*GetContactsForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetContactsForUserParams() beforehand.

type GetContactsForUserURL

type GetContactsForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetContactsForUserURL generates an URL for the get contacts for user operation

func (*GetContactsForUserURL) Build

func (o *GetContactsForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetContactsForUserURL) BuildFull

func (o *GetContactsForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetContactsForUserURL) Must

func (o *GetContactsForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetContactsForUserURL) SetBasePath

func (o *GetContactsForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetContactsForUserURL) String

func (o *GetContactsForUserURL) String() string

String returns the string representation of the path with query string

func (*GetContactsForUserURL) StringFull

func (o *GetContactsForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetContactsForUserURL) WithBasePath

func (o *GetContactsForUserURL) WithBasePath(bp string) *GetContactsForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetDistrictForUser

type GetDistrictForUser struct {
	Context *middleware.Context
	Handler GetDistrictForUserHandler
}
GetDistrictForUser swagger:route GET /users/{id}/district Users getDistrictForUser

Returns the district for a user

func NewGetDistrictForUser

func NewGetDistrictForUser(ctx *middleware.Context, handler GetDistrictForUserHandler) *GetDistrictForUser

NewGetDistrictForUser creates a new http.Handler for the get district for user operation

func (*GetDistrictForUser) ServeHTTP

func (o *GetDistrictForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetDistrictForUserHandler

type GetDistrictForUserHandler interface {
	Handle(GetDistrictForUserParams, interface{}) middleware.Responder
}

GetDistrictForUserHandler interface for that can handle valid get district for user params

type GetDistrictForUserHandlerFunc

type GetDistrictForUserHandlerFunc func(GetDistrictForUserParams, interface{}) middleware.Responder

GetDistrictForUserHandlerFunc turns a function with the right signature into a get district for user handler

func (GetDistrictForUserHandlerFunc) Handle

func (fn GetDistrictForUserHandlerFunc) Handle(params GetDistrictForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetDistrictForUserNotFound

type GetDistrictForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetDistrictForUserNotFound Entity Not Found

swagger:response getDistrictForUserNotFound

func NewGetDistrictForUserNotFound

func NewGetDistrictForUserNotFound() *GetDistrictForUserNotFound

NewGetDistrictForUserNotFound creates GetDistrictForUserNotFound with default headers values

func (*GetDistrictForUserNotFound) SetPayload

func (o *GetDistrictForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get district for user not found response

func (*GetDistrictForUserNotFound) WithPayload

WithPayload adds the payload to the get district for user not found response

func (*GetDistrictForUserNotFound) WriteResponse

func (o *GetDistrictForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDistrictForUserOK

type GetDistrictForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.DistrictResponse `json:"body,omitempty"`
}

GetDistrictForUserOK OK Response

swagger:response getDistrictForUserOK

func NewGetDistrictForUserOK

func NewGetDistrictForUserOK() *GetDistrictForUserOK

NewGetDistrictForUserOK creates GetDistrictForUserOK with default headers values

func (*GetDistrictForUserOK) SetPayload

func (o *GetDistrictForUserOK) SetPayload(payload *models.DistrictResponse)

SetPayload sets the payload to the get district for user o k response

func (*GetDistrictForUserOK) WithPayload

WithPayload adds the payload to the get district for user o k response

func (*GetDistrictForUserOK) WriteResponse

func (o *GetDistrictForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDistrictForUserParams

type GetDistrictForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetDistrictForUserParams contains all the bound params for the get district for user operation typically these are obtained from a http.Request

swagger:parameters getDistrictForUser

func NewGetDistrictForUserParams

func NewGetDistrictForUserParams() GetDistrictForUserParams

NewGetDistrictForUserParams creates a new GetDistrictForUserParams object

There are no default values defined in the spec.

func (*GetDistrictForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetDistrictForUserParams() beforehand.

type GetDistrictForUserURL

type GetDistrictForUserURL struct {
	ID string
	// contains filtered or unexported fields
}

GetDistrictForUserURL generates an URL for the get district for user operation

func (*GetDistrictForUserURL) Build

func (o *GetDistrictForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetDistrictForUserURL) BuildFull

func (o *GetDistrictForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetDistrictForUserURL) Must

func (o *GetDistrictForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetDistrictForUserURL) SetBasePath

func (o *GetDistrictForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetDistrictForUserURL) String

func (o *GetDistrictForUserURL) String() string

String returns the string representation of the path with query string

func (*GetDistrictForUserURL) StringFull

func (o *GetDistrictForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetDistrictForUserURL) WithBasePath

func (o *GetDistrictForUserURL) WithBasePath(bp string) *GetDistrictForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetResourcesForUser

type GetResourcesForUser struct {
	Context *middleware.Context
	Handler GetResourcesForUserHandler
}
GetResourcesForUser swagger:route GET /users/{id}/resources Users getResourcesForUser

Returns the resources for a user

func NewGetResourcesForUser

func NewGetResourcesForUser(ctx *middleware.Context, handler GetResourcesForUserHandler) *GetResourcesForUser

NewGetResourcesForUser creates a new http.Handler for the get resources for user operation

func (*GetResourcesForUser) ServeHTTP

func (o *GetResourcesForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetResourcesForUserHandler

type GetResourcesForUserHandler interface {
	Handle(GetResourcesForUserParams, interface{}) middleware.Responder
}

GetResourcesForUserHandler interface for that can handle valid get resources for user params

type GetResourcesForUserHandlerFunc

type GetResourcesForUserHandlerFunc func(GetResourcesForUserParams, interface{}) middleware.Responder

GetResourcesForUserHandlerFunc turns a function with the right signature into a get resources for user handler

func (GetResourcesForUserHandlerFunc) Handle

func (fn GetResourcesForUserHandlerFunc) Handle(params GetResourcesForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetResourcesForUserNotFound

type GetResourcesForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetResourcesForUserNotFound Entity Not Found

swagger:response getResourcesForUserNotFound

func NewGetResourcesForUserNotFound

func NewGetResourcesForUserNotFound() *GetResourcesForUserNotFound

NewGetResourcesForUserNotFound creates GetResourcesForUserNotFound with default headers values

func (*GetResourcesForUserNotFound) SetPayload

func (o *GetResourcesForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get resources for user not found response

func (*GetResourcesForUserNotFound) WithPayload

WithPayload adds the payload to the get resources for user not found response

func (*GetResourcesForUserNotFound) WriteResponse

func (o *GetResourcesForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetResourcesForUserOK

type GetResourcesForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.ResourcesResponse `json:"body,omitempty"`
}

GetResourcesForUserOK OK Response

swagger:response getResourcesForUserOK

func NewGetResourcesForUserOK

func NewGetResourcesForUserOK() *GetResourcesForUserOK

NewGetResourcesForUserOK creates GetResourcesForUserOK with default headers values

func (*GetResourcesForUserOK) SetPayload

func (o *GetResourcesForUserOK) SetPayload(payload *models.ResourcesResponse)

SetPayload sets the payload to the get resources for user o k response

func (*GetResourcesForUserOK) WithPayload

WithPayload adds the payload to the get resources for user o k response

func (*GetResourcesForUserOK) WriteResponse

func (o *GetResourcesForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetResourcesForUserParams

type GetResourcesForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetResourcesForUserParams contains all the bound params for the get resources for user operation typically these are obtained from a http.Request

swagger:parameters getResourcesForUser

func NewGetResourcesForUserParams

func NewGetResourcesForUserParams() GetResourcesForUserParams

NewGetResourcesForUserParams creates a new GetResourcesForUserParams object

There are no default values defined in the spec.

func (*GetResourcesForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetResourcesForUserParams() beforehand.

type GetResourcesForUserURL

type GetResourcesForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetResourcesForUserURL generates an URL for the get resources for user operation

func (*GetResourcesForUserURL) Build

func (o *GetResourcesForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetResourcesForUserURL) BuildFull

func (o *GetResourcesForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetResourcesForUserURL) Must

func (o *GetResourcesForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetResourcesForUserURL) SetBasePath

func (o *GetResourcesForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetResourcesForUserURL) String

func (o *GetResourcesForUserURL) String() string

String returns the string representation of the path with query string

func (*GetResourcesForUserURL) StringFull

func (o *GetResourcesForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetResourcesForUserURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSchoolsForUser

type GetSchoolsForUser struct {
	Context *middleware.Context
	Handler GetSchoolsForUserHandler
}
GetSchoolsForUser swagger:route GET /users/{id}/schools Users getSchoolsForUser

Returns the schools for a user

func NewGetSchoolsForUser

func NewGetSchoolsForUser(ctx *middleware.Context, handler GetSchoolsForUserHandler) *GetSchoolsForUser

NewGetSchoolsForUser creates a new http.Handler for the get schools for user operation

func (*GetSchoolsForUser) ServeHTTP

func (o *GetSchoolsForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSchoolsForUserHandler

type GetSchoolsForUserHandler interface {
	Handle(GetSchoolsForUserParams, interface{}) middleware.Responder
}

GetSchoolsForUserHandler interface for that can handle valid get schools for user params

type GetSchoolsForUserHandlerFunc

type GetSchoolsForUserHandlerFunc func(GetSchoolsForUserParams, interface{}) middleware.Responder

GetSchoolsForUserHandlerFunc turns a function with the right signature into a get schools for user handler

func (GetSchoolsForUserHandlerFunc) Handle

func (fn GetSchoolsForUserHandlerFunc) Handle(params GetSchoolsForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetSchoolsForUserNotFound

type GetSchoolsForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetSchoolsForUserNotFound Entity Not Found

swagger:response getSchoolsForUserNotFound

func NewGetSchoolsForUserNotFound

func NewGetSchoolsForUserNotFound() *GetSchoolsForUserNotFound

NewGetSchoolsForUserNotFound creates GetSchoolsForUserNotFound with default headers values

func (*GetSchoolsForUserNotFound) SetPayload

func (o *GetSchoolsForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get schools for user not found response

func (*GetSchoolsForUserNotFound) WithPayload

WithPayload adds the payload to the get schools for user not found response

func (*GetSchoolsForUserNotFound) WriteResponse

func (o *GetSchoolsForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSchoolsForUserOK

type GetSchoolsForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.SchoolsResponse `json:"body,omitempty"`
}

GetSchoolsForUserOK OK Response

swagger:response getSchoolsForUserOK

func NewGetSchoolsForUserOK

func NewGetSchoolsForUserOK() *GetSchoolsForUserOK

NewGetSchoolsForUserOK creates GetSchoolsForUserOK with default headers values

func (*GetSchoolsForUserOK) SetPayload

func (o *GetSchoolsForUserOK) SetPayload(payload *models.SchoolsResponse)

SetPayload sets the payload to the get schools for user o k response

func (*GetSchoolsForUserOK) WithPayload

WithPayload adds the payload to the get schools for user o k response

func (*GetSchoolsForUserOK) WriteResponse

func (o *GetSchoolsForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSchoolsForUserParams

type GetSchoolsForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	Primary *string
	/*
	  In: query
	*/
	StartingAfter *string
}

GetSchoolsForUserParams contains all the bound params for the get schools for user operation typically these are obtained from a http.Request

swagger:parameters getSchoolsForUser

func NewGetSchoolsForUserParams

func NewGetSchoolsForUserParams() GetSchoolsForUserParams

NewGetSchoolsForUserParams creates a new GetSchoolsForUserParams object

There are no default values defined in the spec.

func (*GetSchoolsForUserParams) BindRequest

func (o *GetSchoolsForUserParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSchoolsForUserParams() beforehand.

type GetSchoolsForUserURL

type GetSchoolsForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	Primary       *string
	StartingAfter *string
	// contains filtered or unexported fields
}

GetSchoolsForUserURL generates an URL for the get schools for user operation

func (*GetSchoolsForUserURL) Build

func (o *GetSchoolsForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSchoolsForUserURL) BuildFull

func (o *GetSchoolsForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSchoolsForUserURL) Must

func (o *GetSchoolsForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSchoolsForUserURL) SetBasePath

func (o *GetSchoolsForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSchoolsForUserURL) String

func (o *GetSchoolsForUserURL) String() string

String returns the string representation of the path with query string

func (*GetSchoolsForUserURL) StringFull

func (o *GetSchoolsForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSchoolsForUserURL) WithBasePath

func (o *GetSchoolsForUserURL) WithBasePath(bp string) *GetSchoolsForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSectionsForUser

type GetSectionsForUser struct {
	Context *middleware.Context
	Handler GetSectionsForUserHandler
}
GetSectionsForUser swagger:route GET /users/{id}/sections Users getSectionsForUser

Returns the sections for a user

func NewGetSectionsForUser

func NewGetSectionsForUser(ctx *middleware.Context, handler GetSectionsForUserHandler) *GetSectionsForUser

NewGetSectionsForUser creates a new http.Handler for the get sections for user operation

func (*GetSectionsForUser) ServeHTTP

func (o *GetSectionsForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSectionsForUserHandler

type GetSectionsForUserHandler interface {
	Handle(GetSectionsForUserParams, interface{}) middleware.Responder
}

GetSectionsForUserHandler interface for that can handle valid get sections for user params

type GetSectionsForUserHandlerFunc

type GetSectionsForUserHandlerFunc func(GetSectionsForUserParams, interface{}) middleware.Responder

GetSectionsForUserHandlerFunc turns a function with the right signature into a get sections for user handler

func (GetSectionsForUserHandlerFunc) Handle

func (fn GetSectionsForUserHandlerFunc) Handle(params GetSectionsForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetSectionsForUserNotFound

type GetSectionsForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetSectionsForUserNotFound Entity Not Found

swagger:response getSectionsForUserNotFound

func NewGetSectionsForUserNotFound

func NewGetSectionsForUserNotFound() *GetSectionsForUserNotFound

NewGetSectionsForUserNotFound creates GetSectionsForUserNotFound with default headers values

func (*GetSectionsForUserNotFound) SetPayload

func (o *GetSectionsForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get sections for user not found response

func (*GetSectionsForUserNotFound) WithPayload

WithPayload adds the payload to the get sections for user not found response

func (*GetSectionsForUserNotFound) WriteResponse

func (o *GetSectionsForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSectionsForUserOK

type GetSectionsForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.SectionsResponse `json:"body,omitempty"`
}

GetSectionsForUserOK OK Response

swagger:response getSectionsForUserOK

func NewGetSectionsForUserOK

func NewGetSectionsForUserOK() *GetSectionsForUserOK

NewGetSectionsForUserOK creates GetSectionsForUserOK with default headers values

func (*GetSectionsForUserOK) SetPayload

func (o *GetSectionsForUserOK) SetPayload(payload *models.SectionsResponse)

SetPayload sets the payload to the get sections for user o k response

func (*GetSectionsForUserOK) WithPayload

WithPayload adds the payload to the get sections for user o k response

func (*GetSectionsForUserOK) WriteResponse

func (o *GetSectionsForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSectionsForUserParams

type GetSectionsForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetSectionsForUserParams contains all the bound params for the get sections for user operation typically these are obtained from a http.Request

swagger:parameters getSectionsForUser

func NewGetSectionsForUserParams

func NewGetSectionsForUserParams() GetSectionsForUserParams

NewGetSectionsForUserParams creates a new GetSectionsForUserParams object

There are no default values defined in the spec.

func (*GetSectionsForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSectionsForUserParams() beforehand.

type GetSectionsForUserURL

type GetSectionsForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetSectionsForUserURL generates an URL for the get sections for user operation

func (*GetSectionsForUserURL) Build

func (o *GetSectionsForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSectionsForUserURL) BuildFull

func (o *GetSectionsForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSectionsForUserURL) Must

func (o *GetSectionsForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSectionsForUserURL) SetBasePath

func (o *GetSectionsForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSectionsForUserURL) String

func (o *GetSectionsForUserURL) String() string

String returns the string representation of the path with query string

func (*GetSectionsForUserURL) StringFull

func (o *GetSectionsForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSectionsForUserURL) WithBasePath

func (o *GetSectionsForUserURL) WithBasePath(bp string) *GetSectionsForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetStudentsForUser

type GetStudentsForUser struct {
	Context *middleware.Context
	Handler GetStudentsForUserHandler
}
GetStudentsForUser swagger:route GET /users/{id}/mystudents Users getStudentsForUser

Returns the student users for a teacher or contact user

func NewGetStudentsForUser

func NewGetStudentsForUser(ctx *middleware.Context, handler GetStudentsForUserHandler) *GetStudentsForUser

NewGetStudentsForUser creates a new http.Handler for the get students for user operation

func (*GetStudentsForUser) ServeHTTP

func (o *GetStudentsForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetStudentsForUserHandler

type GetStudentsForUserHandler interface {
	Handle(GetStudentsForUserParams, interface{}) middleware.Responder
}

GetStudentsForUserHandler interface for that can handle valid get students for user params

type GetStudentsForUserHandlerFunc

type GetStudentsForUserHandlerFunc func(GetStudentsForUserParams, interface{}) middleware.Responder

GetStudentsForUserHandlerFunc turns a function with the right signature into a get students for user handler

func (GetStudentsForUserHandlerFunc) Handle

func (fn GetStudentsForUserHandlerFunc) Handle(params GetStudentsForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetStudentsForUserNotFound

type GetStudentsForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetStudentsForUserNotFound Entity Not Found

swagger:response getStudentsForUserNotFound

func NewGetStudentsForUserNotFound

func NewGetStudentsForUserNotFound() *GetStudentsForUserNotFound

NewGetStudentsForUserNotFound creates GetStudentsForUserNotFound with default headers values

func (*GetStudentsForUserNotFound) SetPayload

func (o *GetStudentsForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get students for user not found response

func (*GetStudentsForUserNotFound) WithPayload

WithPayload adds the payload to the get students for user not found response

func (*GetStudentsForUserNotFound) WriteResponse

func (o *GetStudentsForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStudentsForUserOK

type GetStudentsForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.UsersResponse `json:"body,omitempty"`
}

GetStudentsForUserOK OK Response

swagger:response getStudentsForUserOK

func NewGetStudentsForUserOK

func NewGetStudentsForUserOK() *GetStudentsForUserOK

NewGetStudentsForUserOK creates GetStudentsForUserOK with default headers values

func (*GetStudentsForUserOK) SetPayload

func (o *GetStudentsForUserOK) SetPayload(payload *models.UsersResponse)

SetPayload sets the payload to the get students for user o k response

func (*GetStudentsForUserOK) WithPayload

WithPayload adds the payload to the get students for user o k response

func (*GetStudentsForUserOK) WriteResponse

func (o *GetStudentsForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetStudentsForUserParams

type GetStudentsForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetStudentsForUserParams contains all the bound params for the get students for user operation typically these are obtained from a http.Request

swagger:parameters getStudentsForUser

func NewGetStudentsForUserParams

func NewGetStudentsForUserParams() GetStudentsForUserParams

NewGetStudentsForUserParams creates a new GetStudentsForUserParams object

There are no default values defined in the spec.

func (*GetStudentsForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetStudentsForUserParams() beforehand.

type GetStudentsForUserURL

type GetStudentsForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetStudentsForUserURL generates an URL for the get students for user operation

func (*GetStudentsForUserURL) Build

func (o *GetStudentsForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetStudentsForUserURL) BuildFull

func (o *GetStudentsForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetStudentsForUserURL) Must

func (o *GetStudentsForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetStudentsForUserURL) SetBasePath

func (o *GetStudentsForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetStudentsForUserURL) String

func (o *GetStudentsForUserURL) String() string

String returns the string representation of the path with query string

func (*GetStudentsForUserURL) StringFull

func (o *GetStudentsForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetStudentsForUserURL) WithBasePath

func (o *GetStudentsForUserURL) WithBasePath(bp string) *GetStudentsForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetTeachersForUser

type GetTeachersForUser struct {
	Context *middleware.Context
	Handler GetTeachersForUserHandler
}
GetTeachersForUser swagger:route GET /users/{id}/myteachers Users getTeachersForUser

Returns the teacher users for a student user

func NewGetTeachersForUser

func NewGetTeachersForUser(ctx *middleware.Context, handler GetTeachersForUserHandler) *GetTeachersForUser

NewGetTeachersForUser creates a new http.Handler for the get teachers for user operation

func (*GetTeachersForUser) ServeHTTP

func (o *GetTeachersForUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetTeachersForUserHandler

type GetTeachersForUserHandler interface {
	Handle(GetTeachersForUserParams, interface{}) middleware.Responder
}

GetTeachersForUserHandler interface for that can handle valid get teachers for user params

type GetTeachersForUserHandlerFunc

type GetTeachersForUserHandlerFunc func(GetTeachersForUserParams, interface{}) middleware.Responder

GetTeachersForUserHandlerFunc turns a function with the right signature into a get teachers for user handler

func (GetTeachersForUserHandlerFunc) Handle

func (fn GetTeachersForUserHandlerFunc) Handle(params GetTeachersForUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetTeachersForUserNotFound

type GetTeachersForUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetTeachersForUserNotFound Entity Not Found

swagger:response getTeachersForUserNotFound

func NewGetTeachersForUserNotFound

func NewGetTeachersForUserNotFound() *GetTeachersForUserNotFound

NewGetTeachersForUserNotFound creates GetTeachersForUserNotFound with default headers values

func (*GetTeachersForUserNotFound) SetPayload

func (o *GetTeachersForUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get teachers for user not found response

func (*GetTeachersForUserNotFound) WithPayload

WithPayload adds the payload to the get teachers for user not found response

func (*GetTeachersForUserNotFound) WriteResponse

func (o *GetTeachersForUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTeachersForUserOK

type GetTeachersForUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.UsersResponse `json:"body,omitempty"`
}

GetTeachersForUserOK OK Response

swagger:response getTeachersForUserOK

func NewGetTeachersForUserOK

func NewGetTeachersForUserOK() *GetTeachersForUserOK

NewGetTeachersForUserOK creates GetTeachersForUserOK with default headers values

func (*GetTeachersForUserOK) SetPayload

func (o *GetTeachersForUserOK) SetPayload(payload *models.UsersResponse)

SetPayload sets the payload to the get teachers for user o k response

func (*GetTeachersForUserOK) WithPayload

WithPayload adds the payload to the get teachers for user o k response

func (*GetTeachersForUserOK) WriteResponse

func (o *GetTeachersForUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTeachersForUserParams

type GetTeachersForUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetTeachersForUserParams contains all the bound params for the get teachers for user operation typically these are obtained from a http.Request

swagger:parameters getTeachersForUser

func NewGetTeachersForUserParams

func NewGetTeachersForUserParams() GetTeachersForUserParams

NewGetTeachersForUserParams creates a new GetTeachersForUserParams object

There are no default values defined in the spec.

func (*GetTeachersForUserParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetTeachersForUserParams() beforehand.

type GetTeachersForUserURL

type GetTeachersForUserURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetTeachersForUserURL generates an URL for the get teachers for user operation

func (*GetTeachersForUserURL) Build

func (o *GetTeachersForUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetTeachersForUserURL) BuildFull

func (o *GetTeachersForUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetTeachersForUserURL) Must

func (o *GetTeachersForUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetTeachersForUserURL) SetBasePath

func (o *GetTeachersForUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetTeachersForUserURL) String

func (o *GetTeachersForUserURL) String() string

String returns the string representation of the path with query string

func (*GetTeachersForUserURL) StringFull

func (o *GetTeachersForUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetTeachersForUserURL) WithBasePath

func (o *GetTeachersForUserURL) WithBasePath(bp string) *GetTeachersForUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetUser

type GetUser struct {
	Context *middleware.Context
	Handler GetUserHandler
}
GetUser swagger:route GET /users/{id} Users getUser

Returns a specific user

func NewGetUser

func NewGetUser(ctx *middleware.Context, handler GetUserHandler) *GetUser

NewGetUser creates a new http.Handler for the get user operation

func (*GetUser) ServeHTTP

func (o *GetUser) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetUserHandler

type GetUserHandler interface {
	Handle(GetUserParams, interface{}) middleware.Responder
}

GetUserHandler interface for that can handle valid get user params

type GetUserHandlerFunc

type GetUserHandlerFunc func(GetUserParams, interface{}) middleware.Responder

GetUserHandlerFunc turns a function with the right signature into a get user handler

func (GetUserHandlerFunc) Handle

func (fn GetUserHandlerFunc) Handle(params GetUserParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetUserNotFound

type GetUserNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetUserNotFound Entity Not Found

swagger:response getUserNotFound

func NewGetUserNotFound

func NewGetUserNotFound() *GetUserNotFound

NewGetUserNotFound creates GetUserNotFound with default headers values

func (*GetUserNotFound) SetPayload

func (o *GetUserNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get user not found response

func (*GetUserNotFound) WithPayload

func (o *GetUserNotFound) WithPayload(payload *models.NotFound) *GetUserNotFound

WithPayload adds the payload to the get user not found response

func (*GetUserNotFound) WriteResponse

func (o *GetUserNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetUserOK

type GetUserOK struct {

	/*
	  In: Body
	*/
	Payload *models.UserResponse `json:"body,omitempty"`
}

GetUserOK OK Response

swagger:response getUserOK

func NewGetUserOK

func NewGetUserOK() *GetUserOK

NewGetUserOK creates GetUserOK with default headers values

func (*GetUserOK) SetPayload

func (o *GetUserOK) SetPayload(payload *models.UserResponse)

SetPayload sets the payload to the get user o k response

func (*GetUserOK) WithPayload

func (o *GetUserOK) WithPayload(payload *models.UserResponse) *GetUserOK

WithPayload adds the payload to the get user o k response

func (*GetUserOK) WriteResponse

func (o *GetUserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetUserParams

type GetUserParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetUserParams contains all the bound params for the get user operation typically these are obtained from a http.Request

swagger:parameters getUser

func NewGetUserParams

func NewGetUserParams() GetUserParams

NewGetUserParams creates a new GetUserParams object

There are no default values defined in the spec.

func (*GetUserParams) BindRequest

func (o *GetUserParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetUserParams() beforehand.

type GetUserURL

type GetUserURL struct {
	ID string
	// contains filtered or unexported fields
}

GetUserURL generates an URL for the get user operation

func (*GetUserURL) Build

func (o *GetUserURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetUserURL) BuildFull

func (o *GetUserURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetUserURL) Must

func (o *GetUserURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetUserURL) SetBasePath

func (o *GetUserURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetUserURL) String

func (o *GetUserURL) String() string

String returns the string representation of the path with query string

func (*GetUserURL) StringFull

func (o *GetUserURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetUserURL) WithBasePath

func (o *GetUserURL) WithBasePath(bp string) *GetUserURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetUsers

type GetUsers struct {
	Context *middleware.Context
	Handler GetUsersHandler
}
GetUsers swagger:route GET /users Users getUsers

Returns a list of contact, district admin, staff, student, and/or teacher users

func NewGetUsers

func NewGetUsers(ctx *middleware.Context, handler GetUsersHandler) *GetUsers

NewGetUsers creates a new http.Handler for the get users operation

func (*GetUsers) ServeHTTP

func (o *GetUsers) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetUsersHandler

type GetUsersHandler interface {
	Handle(GetUsersParams, interface{}) middleware.Responder
}

GetUsersHandler interface for that can handle valid get users params

type GetUsersHandlerFunc

type GetUsersHandlerFunc func(GetUsersParams, interface{}) middleware.Responder

GetUsersHandlerFunc turns a function with the right signature into a get users handler

func (GetUsersHandlerFunc) Handle

func (fn GetUsersHandlerFunc) Handle(params GetUsersParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetUsersOK

type GetUsersOK struct {

	/*
	  In: Body
	*/
	Payload *models.UsersResponse `json:"body,omitempty"`
}

GetUsersOK OK Response

swagger:response getUsersOK

func NewGetUsersOK

func NewGetUsersOK() *GetUsersOK

NewGetUsersOK creates GetUsersOK with default headers values

func (*GetUsersOK) SetPayload

func (o *GetUsersOK) SetPayload(payload *models.UsersResponse)

SetPayload sets the payload to the get users o k response

func (*GetUsersOK) WithPayload

func (o *GetUsersOK) WithPayload(payload *models.UsersResponse) *GetUsersOK

WithPayload adds the payload to the get users o k response

func (*GetUsersOK) WriteResponse

func (o *GetUsersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetUsersParams

type GetUsersParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	Count *string
	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	Role *string
	/*
	  In: query
	*/
	StartingAfter *string
}

GetUsersParams contains all the bound params for the get users operation typically these are obtained from a http.Request

swagger:parameters getUsers

func NewGetUsersParams

func NewGetUsersParams() GetUsersParams

NewGetUsersParams creates a new GetUsersParams object

There are no default values defined in the spec.

func (*GetUsersParams) BindRequest

func (o *GetUsersParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetUsersParams() beforehand.

type GetUsersURL

type GetUsersURL struct {
	Count         *string
	EndingBefore  *string
	Limit         *int64
	Role          *string
	StartingAfter *string
	// contains filtered or unexported fields
}

GetUsersURL generates an URL for the get users operation

func (*GetUsersURL) Build

func (o *GetUsersURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetUsersURL) BuildFull

func (o *GetUsersURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetUsersURL) Must

func (o *GetUsersURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetUsersURL) SetBasePath

func (o *GetUsersURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetUsersURL) String

func (o *GetUsersURL) String() string

String returns the string representation of the path with query string

func (*GetUsersURL) StringFull

func (o *GetUsersURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetUsersURL) WithBasePath

func (o *GetUsersURL) WithBasePath(bp string) *GetUsersURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL